<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.prepare.harmonic.mapper.mysql.line.RMpHarmonicPReportDPOMapper">
  <resultMap id="BaseResultMap" type="com.njcn.prepare.harmonic.pojo.mysql.po.line.RMpHarmonicPReportDPO">
    <!--@mbg.generated-->
    <!--@Table r_mp_harmonic_p_report_d-->
    <id column="measurement_point_id" jdbcType="VARCHAR" property="measurementPointId" />
    <id column="data_date" jdbcType="DATE" property="dataDate" />
    <id column="phase" jdbcType="VARCHAR" property="phase" />
    <result column="FUNDAMENTAL_RATEOFWORK_MAX" jdbcType="FLOAT" property="fundamentalRateofworkMax" />
    <result column="FUNDAMENTAL_RATEOFWORK_Min" jdbcType="FLOAT" property="fundamentalRateofworkMin" />
    <result column="FUNDAMENTAL_RATEOFWORK_avg" jdbcType="FLOAT" property="fundamentalRateofworkAvg" />
    <result column="FUNDAMENTAL_RATEOFWORK_95" jdbcType="FLOAT" property="fundamentalRateofwork95" />
    <result column="FUNDAMENTAL_ACTIVE_POWER_MAX" jdbcType="FLOAT" property="fundamentalActivePowerMax" />
    <result column="FUNDAMENTAL_ACTIVE_POWER_Min" jdbcType="FLOAT" property="fundamentalActivePowerMin" />
    <result column="FUNDAMENTAL_ACTIVE_POWER_avg" jdbcType="FLOAT" property="fundamentalActivePowerAvg" />
    <result column="FUNDAMENTAL_ACTIVE_POWER_95" jdbcType="FLOAT" property="fundamentalActivePower95" />
    <result column="HARMONIC_ACTIVE_POWER_2_MAX" jdbcType="FLOAT" property="harmonicActivePower2Max" />
    <result column="HARMONIC_ACTIVE_POWER_2_MIN" jdbcType="FLOAT" property="harmonicActivePower2Min" />
    <result column="HARMONIC_ACTIVE_POWER_2_AVG" jdbcType="FLOAT" property="harmonicActivePower2Avg" />
    <result column="HARMONIC_ACTIVE_POWER_2_95" jdbcType="FLOAT" property="harmonicActivePower295" />
    <result column="HARMONIC_ACTIVE_POWER_3_MAX" jdbcType="FLOAT" property="harmonicActivePower3Max" />
    <result column="HARMONIC_ACTIVE_POWER_3_MIN" jdbcType="FLOAT" property="harmonicActivePower3Min" />
    <result column="HARMONIC_ACTIVE_POWER_3_AVG" jdbcType="FLOAT" property="harmonicActivePower3Avg" />
    <result column="HARMONIC_ACTIVE_POWER_3_95" jdbcType="FLOAT" property="harmonicActivePower395" />
    <result column="HARMONIC_ACTIVE_POWER_4_MAX" jdbcType="FLOAT" property="harmonicActivePower4Max" />
    <result column="HARMONIC_ACTIVE_POWER_4_MIN" jdbcType="FLOAT" property="harmonicActivePower4Min" />
    <result column="HARMONIC_ACTIVE_POWER_4_AVG" jdbcType="FLOAT" property="harmonicActivePower4Avg" />
    <result column="HARMONIC_ACTIVE_POWER_4_95" jdbcType="FLOAT" property="harmonicActivePower495" />
    <result column="HARMONIC_ACTIVE_POWER_5_MAX" jdbcType="FLOAT" property="harmonicActivePower5Max" />
    <result column="HARMONIC_ACTIVE_POWER_5_MIN" jdbcType="FLOAT" property="harmonicActivePower5Min" />
    <result column="HARMONIC_ACTIVE_POWER_5_AVG" jdbcType="FLOAT" property="harmonicActivePower5Avg" />
    <result column="HARMONIC_ACTIVE_POWER_5_95" jdbcType="FLOAT" property="harmonicActivePower595" />
    <result column="HARMONIC_ACTIVE_POWER_6_MAX" jdbcType="FLOAT" property="harmonicActivePower6Max" />
    <result column="HARMONIC_ACTIVE_POWER_6_MIN" jdbcType="FLOAT" property="harmonicActivePower6Min" />
    <result column="HARMONIC_ACTIVE_POWER_6_AVG" jdbcType="FLOAT" property="harmonicActivePower6Avg" />
    <result column="HARMONIC_ACTIVE_POWER_6_95" jdbcType="FLOAT" property="harmonicActivePower695" />
    <result column="HARMONIC_ACTIVE_POWER_7_MAX" jdbcType="FLOAT" property="harmonicActivePower7Max" />
    <result column="HARMONIC_ACTIVE_POWER_7_MIN" jdbcType="FLOAT" property="harmonicActivePower7Min" />
    <result column="HARMONIC_ACTIVE_POWER_7_AVG" jdbcType="FLOAT" property="harmonicActivePower7Avg" />
    <result column="HARMONIC_ACTIVE_POWER_7_95" jdbcType="FLOAT" property="harmonicActivePower795" />
    <result column="HARMONIC_ACTIVE_POWER_8_MAX" jdbcType="FLOAT" property="harmonicActivePower8Max" />
    <result column="HARMONIC_ACTIVE_POWER_8_MIN" jdbcType="FLOAT" property="harmonicActivePower8Min" />
    <result column="HARMONIC_ACTIVE_POWER_8_AVG" jdbcType="FLOAT" property="harmonicActivePower8Avg" />
    <result column="HARMONIC_ACTIVE_POWER_8_95" jdbcType="FLOAT" property="harmonicActivePower895" />
    <result column="HARMONIC_ACTIVE_POWER_9_MAX" jdbcType="FLOAT" property="harmonicActivePower9Max" />
    <result column="HARMONIC_ACTIVE_POWER_9_MIN" jdbcType="FLOAT" property="harmonicActivePower9Min" />
    <result column="HARMONIC_ACTIVE_POWER_9_AVG" jdbcType="FLOAT" property="harmonicActivePower9Avg" />
    <result column="HARMONIC_ACTIVE_POWER_9_95" jdbcType="FLOAT" property="harmonicActivePower995" />
    <result column="HARMONIC_ACTIVE_POWER_10_MAX" jdbcType="FLOAT" property="harmonicActivePower10Max" />
    <result column="HARMONIC_ACTIVE_POWER_10_MIN" jdbcType="FLOAT" property="harmonicActivePower10Min" />
    <result column="HARMONIC_ACTIVE_POWER_10_AVG" jdbcType="FLOAT" property="harmonicActivePower10Avg" />
    <result column="HARMONIC_ACTIVE_POWER_10_95" jdbcType="FLOAT" property="harmonicActivePower1095" />
    <result column="HARMONIC_ACTIVE_POWER_11_MAX" jdbcType="FLOAT" property="harmonicActivePower11Max" />
    <result column="HARMONIC_ACTIVE_POWER_11_MIN" jdbcType="FLOAT" property="harmonicActivePower11Min" />
    <result column="HARMONIC_ACTIVE_POWER_11_AVG" jdbcType="FLOAT" property="harmonicActivePower11Avg" />
    <result column="HARMONIC_ACTIVE_POWER_11_95" jdbcType="FLOAT" property="harmonicActivePower1195" />
    <result column="HARMONIC_ACTIVE_POWER_12_MAX" jdbcType="FLOAT" property="harmonicActivePower12Max" />
    <result column="HARMONIC_ACTIVE_POWER_12_MIN" jdbcType="FLOAT" property="harmonicActivePower12Min" />
    <result column="HARMONIC_ACTIVE_POWER_12_AVG" jdbcType="FLOAT" property="harmonicActivePower12Avg" />
    <result column="HARMONIC_ACTIVE_POWER_12_95" jdbcType="FLOAT" property="harmonicActivePower1295" />
    <result column="HARMONIC_ACTIVE_POWER_13_MAX" jdbcType="FLOAT" property="harmonicActivePower13Max" />
    <result column="HARMONIC_ACTIVE_POWER_13_MIN" jdbcType="FLOAT" property="harmonicActivePower13Min" />
    <result column="HARMONIC_ACTIVE_POWER_13_AVG" jdbcType="FLOAT" property="harmonicActivePower13Avg" />
    <result column="HARMONIC_ACTIVE_POWER_13_95" jdbcType="FLOAT" property="harmonicActivePower1395" />
    <result column="HARMONIC_ACTIVE_POWER_14_MAX" jdbcType="FLOAT" property="harmonicActivePower14Max" />
    <result column="HARMONIC_ACTIVE_POWER_14_MIN" jdbcType="FLOAT" property="harmonicActivePower14Min" />
    <result column="HARMONIC_ACTIVE_POWER_14_AVG" jdbcType="FLOAT" property="harmonicActivePower14Avg" />
    <result column="HARMONIC_ACTIVE_POWER_14_95" jdbcType="FLOAT" property="harmonicActivePower1495" />
    <result column="HARMONIC_ACTIVE_POWER_15_MAX" jdbcType="FLOAT" property="harmonicActivePower15Max" />
    <result column="HARMONIC_ACTIVE_POWER_15_MIN" jdbcType="FLOAT" property="harmonicActivePower15Min" />
    <result column="HARMONIC_ACTIVE_POWER_15_AVG" jdbcType="FLOAT" property="harmonicActivePower15Avg" />
    <result column="HARMONIC_ACTIVE_POWER_15_95" jdbcType="FLOAT" property="harmonicActivePower1595" />
    <result column="HARMONIC_ACTIVE_POWER_16_MAX" jdbcType="FLOAT" property="harmonicActivePower16Max" />
    <result column="HARMONIC_ACTIVE_POWER_16_MIN" jdbcType="FLOAT" property="harmonicActivePower16Min" />
    <result column="HARMONIC_ACTIVE_POWER_16_AVG" jdbcType="FLOAT" property="harmonicActivePower16Avg" />
    <result column="HARMONIC_ACTIVE_POWER_16_95" jdbcType="FLOAT" property="harmonicActivePower1695" />
    <result column="HARMONIC_ACTIVE_POWER_17_MAX" jdbcType="FLOAT" property="harmonicActivePower17Max" />
    <result column="HARMONIC_ACTIVE_POWER_17_MIN" jdbcType="FLOAT" property="harmonicActivePower17Min" />
    <result column="HARMONIC_ACTIVE_POWER_17_AVG" jdbcType="FLOAT" property="harmonicActivePower17Avg" />
    <result column="HARMONIC_ACTIVE_POWER_17_95" jdbcType="FLOAT" property="harmonicActivePower1795" />
    <result column="HARMONIC_ACTIVE_POWER_18_MAX" jdbcType="FLOAT" property="harmonicActivePower18Max" />
    <result column="HARMONIC_ACTIVE_POWER_18_MIN" jdbcType="FLOAT" property="harmonicActivePower18Min" />
    <result column="HARMONIC_ACTIVE_POWER_18_AVG" jdbcType="FLOAT" property="harmonicActivePower18Avg" />
    <result column="HARMONIC_ACTIVE_POWER_18_95" jdbcType="FLOAT" property="harmonicActivePower1895" />
    <result column="HARMONIC_ACTIVE_POWER_19_MAX" jdbcType="FLOAT" property="harmonicActivePower19Max" />
    <result column="HARMONIC_ACTIVE_POWER_19_MIN" jdbcType="FLOAT" property="harmonicActivePower19Min" />
    <result column="HARMONIC_ACTIVE_POWER_19_AVG" jdbcType="FLOAT" property="harmonicActivePower19Avg" />
    <result column="HARMONIC_ACTIVE_POWER_19_95" jdbcType="FLOAT" property="harmonicActivePower1995" />
    <result column="HARMONIC_ACTIVE_POWER_20_MAX" jdbcType="FLOAT" property="harmonicActivePower20Max" />
    <result column="HARMONIC_ACTIVE_POWER_20_MIN" jdbcType="FLOAT" property="harmonicActivePower20Min" />
    <result column="HARMONIC_ACTIVE_POWER_20_AVG" jdbcType="FLOAT" property="harmonicActivePower20Avg" />
    <result column="HARMONIC_ACTIVE_POWER_20_95" jdbcType="FLOAT" property="harmonicActivePower2095" />
    <result column="HARMONIC_ACTIVE_POWER_21_MAX" jdbcType="FLOAT" property="harmonicActivePower21Max" />
    <result column="HARMONIC_ACTIVE_POWER_21_MIN" jdbcType="FLOAT" property="harmonicActivePower21Min" />
    <result column="HARMONIC_ACTIVE_POWER_21_AVG" jdbcType="FLOAT" property="harmonicActivePower21Avg" />
    <result column="HARMONIC_ACTIVE_POWER_21_95" jdbcType="FLOAT" property="harmonicActivePower2195" />
    <result column="HARMONIC_ACTIVE_POWER_22_MAX" jdbcType="FLOAT" property="harmonicActivePower22Max" />
    <result column="HARMONIC_ACTIVE_POWER_22_MIN" jdbcType="FLOAT" property="harmonicActivePower22Min" />
    <result column="HARMONIC_ACTIVE_POWER_22_AVG" jdbcType="FLOAT" property="harmonicActivePower22Avg" />
    <result column="HARMONIC_ACTIVE_POWER_22_95" jdbcType="FLOAT" property="harmonicActivePower2295" />
    <result column="HARMONIC_ACTIVE_POWER_23_MAX" jdbcType="FLOAT" property="harmonicActivePower23Max" />
    <result column="HARMONIC_ACTIVE_POWER_23_MIN" jdbcType="FLOAT" property="harmonicActivePower23Min" />
    <result column="HARMONIC_ACTIVE_POWER_23_AVG" jdbcType="FLOAT" property="harmonicActivePower23Avg" />
    <result column="HARMONIC_ACTIVE_POWER_23_95" jdbcType="FLOAT" property="harmonicActivePower2395" />
    <result column="HARMONIC_ACTIVE_POWER_24_MAX" jdbcType="FLOAT" property="harmonicActivePower24Max" />
    <result column="HARMONIC_ACTIVE_POWER_24_MIN" jdbcType="FLOAT" property="harmonicActivePower24Min" />
    <result column="HARMONIC_ACTIVE_POWER_24_AVG" jdbcType="FLOAT" property="harmonicActivePower24Avg" />
    <result column="HARMONIC_ACTIVE_POWER_24_95" jdbcType="FLOAT" property="harmonicActivePower2495" />
    <result column="HARMONIC_ACTIVE_POWER_25_MAX" jdbcType="FLOAT" property="harmonicActivePower25Max" />
    <result column="HARMONIC_ACTIVE_POWER_25_MIN" jdbcType="FLOAT" property="harmonicActivePower25Min" />
    <result column="HARMONIC_ACTIVE_POWER_25_AVG" jdbcType="FLOAT" property="harmonicActivePower25Avg" />
    <result column="HARMONIC_ACTIVE_POWER_25_95" jdbcType="FLOAT" property="harmonicActivePower2595" />
    <result column="HARMONIC_ACTIVE_POWER_26_MAX" jdbcType="FLOAT" property="harmonicActivePower26Max" />
    <result column="HARMONIC_ACTIVE_POWER_26_MIN" jdbcType="FLOAT" property="harmonicActivePower26Min" />
    <result column="HARMONIC_ACTIVE_POWER_26_AVG" jdbcType="FLOAT" property="harmonicActivePower26Avg" />
    <result column="HARMONIC_ACTIVE_POWER_26_95" jdbcType="FLOAT" property="harmonicActivePower2695" />
    <result column="HARMONIC_ACTIVE_POWER_27_MAX" jdbcType="FLOAT" property="harmonicActivePower27Max" />
    <result column="HARMONIC_ACTIVE_POWER_27_MIN" jdbcType="FLOAT" property="harmonicActivePower27Min" />
    <result column="HARMONIC_ACTIVE_POWER_27_AVG" jdbcType="FLOAT" property="harmonicActivePower27Avg" />
    <result column="HARMONIC_ACTIVE_POWER_27_95" jdbcType="FLOAT" property="harmonicActivePower2795" />
    <result column="HARMONIC_ACTIVE_POWER_28_MAX" jdbcType="FLOAT" property="harmonicActivePower28Max" />
    <result column="HARMONIC_ACTIVE_POWER_28_MIN" jdbcType="FLOAT" property="harmonicActivePower28Min" />
    <result column="HARMONIC_ACTIVE_POWER_28_AVG" jdbcType="FLOAT" property="harmonicActivePower28Avg" />
    <result column="HARMONIC_ACTIVE_POWER_28_95" jdbcType="FLOAT" property="harmonicActivePower2895" />
    <result column="HARMONIC_ACTIVE_POWER_29_MAX" jdbcType="FLOAT" property="harmonicActivePower29Max" />
    <result column="HARMONIC_ACTIVE_POWER_29_MIN" jdbcType="FLOAT" property="harmonicActivePower29Min" />
    <result column="HARMONIC_ACTIVE_POWER_29_AVG" jdbcType="FLOAT" property="harmonicActivePower29Avg" />
    <result column="HARMONIC_ACTIVE_POWER_29_95" jdbcType="FLOAT" property="harmonicActivePower2995" />
    <result column="HARMONIC_ACTIVE_POWER_30_MAX" jdbcType="FLOAT" property="harmonicActivePower30Max" />
    <result column="HARMONIC_ACTIVE_POWER_30_MIN" jdbcType="FLOAT" property="harmonicActivePower30Min" />
    <result column="HARMONIC_ACTIVE_POWER_30_AVG" jdbcType="FLOAT" property="harmonicActivePower30Avg" />
    <result column="HARMONIC_ACTIVE_POWER_30_95" jdbcType="FLOAT" property="harmonicActivePower3095" />
    <result column="HARMONIC_ACTIVE_POWER_31_MAX" jdbcType="FLOAT" property="harmonicActivePower31Max" />
    <result column="HARMONIC_ACTIVE_POWER_31_MIN" jdbcType="FLOAT" property="harmonicActivePower31Min" />
    <result column="HARMONIC_ACTIVE_POWER_31_AVG" jdbcType="FLOAT" property="harmonicActivePower31Avg" />
    <result column="HARMONIC_ACTIVE_POWER_31_95" jdbcType="FLOAT" property="harmonicActivePower3195" />
    <result column="HARMONIC_ACTIVE_POWER_32_MAX" jdbcType="FLOAT" property="harmonicActivePower32Max" />
    <result column="HARMONIC_ACTIVE_POWER_32_MIN" jdbcType="FLOAT" property="harmonicActivePower32Min" />
    <result column="HARMONIC_ACTIVE_POWER_32_AVG" jdbcType="FLOAT" property="harmonicActivePower32Avg" />
    <result column="HARMONIC_ACTIVE_POWER_32_95" jdbcType="FLOAT" property="harmonicActivePower3295" />
    <result column="HARMONIC_ACTIVE_POWER_33_MAX" jdbcType="FLOAT" property="harmonicActivePower33Max" />
    <result column="HARMONIC_ACTIVE_POWER_33_MIN" jdbcType="FLOAT" property="harmonicActivePower33Min" />
    <result column="HARMONIC_ACTIVE_POWER_33_AVG" jdbcType="FLOAT" property="harmonicActivePower33Avg" />
    <result column="HARMONIC_ACTIVE_POWER_33_95" jdbcType="FLOAT" property="harmonicActivePower3395" />
    <result column="HARMONIC_ACTIVE_POWER_34_MAX" jdbcType="FLOAT" property="harmonicActivePower34Max" />
    <result column="HARMONIC_ACTIVE_POWER_34_MIN" jdbcType="FLOAT" property="harmonicActivePower34Min" />
    <result column="HARMONIC_ACTIVE_POWER_34_AVG" jdbcType="FLOAT" property="harmonicActivePower34Avg" />
    <result column="HARMONIC_ACTIVE_POWER_34_95" jdbcType="FLOAT" property="harmonicActivePower3495" />
    <result column="HARMONIC_ACTIVE_POWER_35_MAX" jdbcType="FLOAT" property="harmonicActivePower35Max" />
    <result column="HARMONIC_ACTIVE_POWER_35_MIN" jdbcType="FLOAT" property="harmonicActivePower35Min" />
    <result column="HARMONIC_ACTIVE_POWER_35_AVG" jdbcType="FLOAT" property="harmonicActivePower35Avg" />
    <result column="HARMONIC_ACTIVE_POWER_35_95" jdbcType="FLOAT" property="harmonicActivePower3595" />
    <result column="HARMONIC_ACTIVE_POWER_36_MAX" jdbcType="FLOAT" property="harmonicActivePower36Max" />
    <result column="HARMONIC_ACTIVE_POWER_36_MIN" jdbcType="FLOAT" property="harmonicActivePower36Min" />
    <result column="HARMONIC_ACTIVE_POWER_36_AVG" jdbcType="FLOAT" property="harmonicActivePower36Avg" />
    <result column="HARMONIC_ACTIVE_POWER_36_95" jdbcType="FLOAT" property="harmonicActivePower3695" />
    <result column="HARMONIC_ACTIVE_POWER_37_MAX" jdbcType="FLOAT" property="harmonicActivePower37Max" />
    <result column="HARMONIC_ACTIVE_POWER_37_MIN" jdbcType="FLOAT" property="harmonicActivePower37Min" />
    <result column="HARMONIC_ACTIVE_POWER_37_AVG" jdbcType="FLOAT" property="harmonicActivePower37Avg" />
    <result column="HARMONIC_ACTIVE_POWER_37_95" jdbcType="FLOAT" property="harmonicActivePower3795" />
    <result column="HARMONIC_ACTIVE_POWER_38_MAX" jdbcType="FLOAT" property="harmonicActivePower38Max" />
    <result column="HARMONIC_ACTIVE_POWER_38_MIN" jdbcType="FLOAT" property="harmonicActivePower38Min" />
    <result column="HARMONIC_ACTIVE_POWER_38_AVG" jdbcType="FLOAT" property="harmonicActivePower38Avg" />
    <result column="HARMONIC_ACTIVE_POWER_38_95" jdbcType="FLOAT" property="harmonicActivePower3895" />
    <result column="HARMONIC_ACTIVE_POWER_39_MAX" jdbcType="FLOAT" property="harmonicActivePower39Max" />
    <result column="HARMONIC_ACTIVE_POWER_39_MIN" jdbcType="FLOAT" property="harmonicActivePower39Min" />
    <result column="HARMONIC_ACTIVE_POWER_39_AVG" jdbcType="FLOAT" property="harmonicActivePower39Avg" />
    <result column="HARMONIC_ACTIVE_POWER_39_95" jdbcType="FLOAT" property="harmonicActivePower3995" />
    <result column="HARMONIC_ACTIVE_POWER_40_MAX" jdbcType="FLOAT" property="harmonicActivePower40Max" />
    <result column="HARMONIC_ACTIVE_POWER_40_MIN" jdbcType="FLOAT" property="harmonicActivePower40Min" />
    <result column="HARMONIC_ACTIVE_POWER_40_AVG" jdbcType="FLOAT" property="harmonicActivePower40Avg" />
    <result column="HARMONIC_ACTIVE_POWER_40_95" jdbcType="FLOAT" property="harmonicActivePower4095" />
    <result column="HARMONIC_ACTIVE_POWER_41_MAX" jdbcType="FLOAT" property="harmonicActivePower41Max" />
    <result column="HARMONIC_ACTIVE_POWER_41_MIN" jdbcType="FLOAT" property="harmonicActivePower41Min" />
    <result column="HARMONIC_ACTIVE_POWER_41_AVG" jdbcType="FLOAT" property="harmonicActivePower41Avg" />
    <result column="HARMONIC_ACTIVE_POWER_41_95" jdbcType="FLOAT" property="harmonicActivePower4195" />
    <result column="HARMONIC_ACTIVE_POWER_42_MAX" jdbcType="FLOAT" property="harmonicActivePower42Max" />
    <result column="HARMONIC_ACTIVE_POWER_42_MIN" jdbcType="FLOAT" property="harmonicActivePower42Min" />
    <result column="HARMONIC_ACTIVE_POWER_42_AVG" jdbcType="FLOAT" property="harmonicActivePower42Avg" />
    <result column="HARMONIC_ACTIVE_POWER_42_95" jdbcType="FLOAT" property="harmonicActivePower4295" />
    <result column="HARMONIC_ACTIVE_POWER_43_MAX" jdbcType="FLOAT" property="harmonicActivePower43Max" />
    <result column="HARMONIC_ACTIVE_POWER_43_MIN" jdbcType="FLOAT" property="harmonicActivePower43Min" />
    <result column="HARMONIC_ACTIVE_POWER_43_AVG" jdbcType="FLOAT" property="harmonicActivePower43Avg" />
    <result column="HARMONIC_ACTIVE_POWER_43_95" jdbcType="FLOAT" property="harmonicActivePower4395" />
    <result column="HARMONIC_ACTIVE_POWER_44_MAX" jdbcType="FLOAT" property="harmonicActivePower44Max" />
    <result column="HARMONIC_ACTIVE_POWER_44_MIN" jdbcType="FLOAT" property="harmonicActivePower44Min" />
    <result column="HARMONIC_ACTIVE_POWER_44_AVG" jdbcType="FLOAT" property="harmonicActivePower44Avg" />
    <result column="HARMONIC_ACTIVE_POWER_44_95" jdbcType="FLOAT" property="harmonicActivePower4495" />
    <result column="HARMONIC_ACTIVE_POWER_45_MAX" jdbcType="FLOAT" property="harmonicActivePower45Max" />
    <result column="HARMONIC_ACTIVE_POWER_45_MIN" jdbcType="FLOAT" property="harmonicActivePower45Min" />
    <result column="HARMONIC_ACTIVE_POWER_45_AVG" jdbcType="FLOAT" property="harmonicActivePower45Avg" />
    <result column="HARMONIC_ACTIVE_POWER_45_95" jdbcType="FLOAT" property="harmonicActivePower4595" />
    <result column="HARMONIC_ACTIVE_POWER_46_MAX" jdbcType="FLOAT" property="harmonicActivePower46Max" />
    <result column="HARMONIC_ACTIVE_POWER_46_MIN" jdbcType="FLOAT" property="harmonicActivePower46Min" />
    <result column="HARMONIC_ACTIVE_POWER_46_AVG" jdbcType="FLOAT" property="harmonicActivePower46Avg" />
    <result column="HARMONIC_ACTIVE_POWER_46_95" jdbcType="FLOAT" property="harmonicActivePower4695" />
    <result column="HARMONIC_ACTIVE_POWER_47_MAX" jdbcType="FLOAT" property="harmonicActivePower47Max" />
    <result column="HARMONIC_ACTIVE_POWER_47_MIN" jdbcType="FLOAT" property="harmonicActivePower47Min" />
    <result column="HARMONIC_ACTIVE_POWER_47_AVG" jdbcType="FLOAT" property="harmonicActivePower47Avg" />
    <result column="HARMONIC_ACTIVE_POWER_47_95" jdbcType="FLOAT" property="harmonicActivePower4795" />
    <result column="HARMONIC_ACTIVE_POWER_48_MAX" jdbcType="FLOAT" property="harmonicActivePower48Max" />
    <result column="HARMONIC_ACTIVE_POWER_48_MIN" jdbcType="FLOAT" property="harmonicActivePower48Min" />
    <result column="HARMONIC_ACTIVE_POWER_48_AVG" jdbcType="FLOAT" property="harmonicActivePower48Avg" />
    <result column="HARMONIC_ACTIVE_POWER_48_95" jdbcType="FLOAT" property="harmonicActivePower4895" />
    <result column="HARMONIC_ACTIVE_POWER_49_MAX" jdbcType="FLOAT" property="harmonicActivePower49Max" />
    <result column="HARMONIC_ACTIVE_POWER_49_MIN" jdbcType="FLOAT" property="harmonicActivePower49Min" />
    <result column="HARMONIC_ACTIVE_POWER_49_AVG" jdbcType="FLOAT" property="harmonicActivePower49Avg" />
    <result column="HARMONIC_ACTIVE_POWER_49_95" jdbcType="FLOAT" property="harmonicActivePower4995" />
    <result column="HARMONIC_ACTIVE_POWER_50_MAX" jdbcType="FLOAT" property="harmonicActivePower50Max" />
    <result column="HARMONIC_ACTIVE_POWER_50_MIN" jdbcType="FLOAT" property="harmonicActivePower50Min" />
    <result column="HARMONIC_ACTIVE_POWER_50_AVG" jdbcType="FLOAT" property="harmonicActivePower50Avg" />
    <result column="HARMONIC_ACTIVE_POWER_50_95" jdbcType="FLOAT" property="harmonicActivePower5095" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--@mbg.generated-->
    measurement_point_id, data_date, phase, FUNDAMENTAL_RATEOFWORK_MAX, FUNDAMENTAL_RATEOFWORK_Min, 
    FUNDAMENTAL_RATEOFWORK_avg, FUNDAMENTAL_RATEOFWORK_95, FUNDAMENTAL_ACTIVE_POWER_MAX, 
    FUNDAMENTAL_ACTIVE_POWER_Min, FUNDAMENTAL_ACTIVE_POWER_avg, FUNDAMENTAL_ACTIVE_POWER_95, 
    HARMONIC_ACTIVE_POWER_2_MAX, HARMONIC_ACTIVE_POWER_2_MIN, HARMONIC_ACTIVE_POWER_2_AVG, 
    HARMONIC_ACTIVE_POWER_2_95, HARMONIC_ACTIVE_POWER_3_MAX, HARMONIC_ACTIVE_POWER_3_MIN, 
    HARMONIC_ACTIVE_POWER_3_AVG, HARMONIC_ACTIVE_POWER_3_95, HARMONIC_ACTIVE_POWER_4_MAX, 
    HARMONIC_ACTIVE_POWER_4_MIN, HARMONIC_ACTIVE_POWER_4_AVG, HARMONIC_ACTIVE_POWER_4_95, 
    HARMONIC_ACTIVE_POWER_5_MAX, HARMONIC_ACTIVE_POWER_5_MIN, HARMONIC_ACTIVE_POWER_5_AVG, 
    HARMONIC_ACTIVE_POWER_5_95, HARMONIC_ACTIVE_POWER_6_MAX, HARMONIC_ACTIVE_POWER_6_MIN, 
    HARMONIC_ACTIVE_POWER_6_AVG, HARMONIC_ACTIVE_POWER_6_95, HARMONIC_ACTIVE_POWER_7_MAX, 
    HARMONIC_ACTIVE_POWER_7_MIN, HARMONIC_ACTIVE_POWER_7_AVG, HARMONIC_ACTIVE_POWER_7_95, 
    HARMONIC_ACTIVE_POWER_8_MAX, HARMONIC_ACTIVE_POWER_8_MIN, HARMONIC_ACTIVE_POWER_8_AVG, 
    HARMONIC_ACTIVE_POWER_8_95, HARMONIC_ACTIVE_POWER_9_MAX, HARMONIC_ACTIVE_POWER_9_MIN, 
    HARMONIC_ACTIVE_POWER_9_AVG, HARMONIC_ACTIVE_POWER_9_95, HARMONIC_ACTIVE_POWER_10_MAX, 
    HARMONIC_ACTIVE_POWER_10_MIN, HARMONIC_ACTIVE_POWER_10_AVG, HARMONIC_ACTIVE_POWER_10_95, 
    HARMONIC_ACTIVE_POWER_11_MAX, HARMONIC_ACTIVE_POWER_11_MIN, HARMONIC_ACTIVE_POWER_11_AVG, 
    HARMONIC_ACTIVE_POWER_11_95, HARMONIC_ACTIVE_POWER_12_MAX, HARMONIC_ACTIVE_POWER_12_MIN, 
    HARMONIC_ACTIVE_POWER_12_AVG, HARMONIC_ACTIVE_POWER_12_95, HARMONIC_ACTIVE_POWER_13_MAX, 
    HARMONIC_ACTIVE_POWER_13_MIN, HARMONIC_ACTIVE_POWER_13_AVG, HARMONIC_ACTIVE_POWER_13_95, 
    HARMONIC_ACTIVE_POWER_14_MAX, HARMONIC_ACTIVE_POWER_14_MIN, HARMONIC_ACTIVE_POWER_14_AVG, 
    HARMONIC_ACTIVE_POWER_14_95, HARMONIC_ACTIVE_POWER_15_MAX, HARMONIC_ACTIVE_POWER_15_MIN, 
    HARMONIC_ACTIVE_POWER_15_AVG, HARMONIC_ACTIVE_POWER_15_95, HARMONIC_ACTIVE_POWER_16_MAX, 
    HARMONIC_ACTIVE_POWER_16_MIN, HARMONIC_ACTIVE_POWER_16_AVG, HARMONIC_ACTIVE_POWER_16_95, 
    HARMONIC_ACTIVE_POWER_17_MAX, HARMONIC_ACTIVE_POWER_17_MIN, HARMONIC_ACTIVE_POWER_17_AVG, 
    HARMONIC_ACTIVE_POWER_17_95, HARMONIC_ACTIVE_POWER_18_MAX, HARMONIC_ACTIVE_POWER_18_MIN, 
    HARMONIC_ACTIVE_POWER_18_AVG, HARMONIC_ACTIVE_POWER_18_95, HARMONIC_ACTIVE_POWER_19_MAX, 
    HARMONIC_ACTIVE_POWER_19_MIN, HARMONIC_ACTIVE_POWER_19_AVG, HARMONIC_ACTIVE_POWER_19_95, 
    HARMONIC_ACTIVE_POWER_20_MAX, HARMONIC_ACTIVE_POWER_20_MIN, HARMONIC_ACTIVE_POWER_20_AVG, 
    HARMONIC_ACTIVE_POWER_20_95, HARMONIC_ACTIVE_POWER_21_MAX, HARMONIC_ACTIVE_POWER_21_MIN, 
    HARMONIC_ACTIVE_POWER_21_AVG, HARMONIC_ACTIVE_POWER_21_95, HARMONIC_ACTIVE_POWER_22_MAX, 
    HARMONIC_ACTIVE_POWER_22_MIN, HARMONIC_ACTIVE_POWER_22_AVG, HARMONIC_ACTIVE_POWER_22_95, 
    HARMONIC_ACTIVE_POWER_23_MAX, HARMONIC_ACTIVE_POWER_23_MIN, HARMONIC_ACTIVE_POWER_23_AVG, 
    HARMONIC_ACTIVE_POWER_23_95, HARMONIC_ACTIVE_POWER_24_MAX, HARMONIC_ACTIVE_POWER_24_MIN, 
    HARMONIC_ACTIVE_POWER_24_AVG, HARMONIC_ACTIVE_POWER_24_95, HARMONIC_ACTIVE_POWER_25_MAX, 
    HARMONIC_ACTIVE_POWER_25_MIN, HARMONIC_ACTIVE_POWER_25_AVG, HARMONIC_ACTIVE_POWER_25_95, 
    HARMONIC_ACTIVE_POWER_26_MAX, HARMONIC_ACTIVE_POWER_26_MIN, HARMONIC_ACTIVE_POWER_26_AVG, 
    HARMONIC_ACTIVE_POWER_26_95, HARMONIC_ACTIVE_POWER_27_MAX, HARMONIC_ACTIVE_POWER_27_MIN, 
    HARMONIC_ACTIVE_POWER_27_AVG, HARMONIC_ACTIVE_POWER_27_95, HARMONIC_ACTIVE_POWER_28_MAX, 
    HARMONIC_ACTIVE_POWER_28_MIN, HARMONIC_ACTIVE_POWER_28_AVG, HARMONIC_ACTIVE_POWER_28_95, 
    HARMONIC_ACTIVE_POWER_29_MAX, HARMONIC_ACTIVE_POWER_29_MIN, HARMONIC_ACTIVE_POWER_29_AVG, 
    HARMONIC_ACTIVE_POWER_29_95, HARMONIC_ACTIVE_POWER_30_MAX, HARMONIC_ACTIVE_POWER_30_MIN, 
    HARMONIC_ACTIVE_POWER_30_AVG, HARMONIC_ACTIVE_POWER_30_95, HARMONIC_ACTIVE_POWER_31_MAX, 
    HARMONIC_ACTIVE_POWER_31_MIN, HARMONIC_ACTIVE_POWER_31_AVG, HARMONIC_ACTIVE_POWER_31_95, 
    HARMONIC_ACTIVE_POWER_32_MAX, HARMONIC_ACTIVE_POWER_32_MIN, HARMONIC_ACTIVE_POWER_32_AVG, 
    HARMONIC_ACTIVE_POWER_32_95, HARMONIC_ACTIVE_POWER_33_MAX, HARMONIC_ACTIVE_POWER_33_MIN, 
    HARMONIC_ACTIVE_POWER_33_AVG, HARMONIC_ACTIVE_POWER_33_95, HARMONIC_ACTIVE_POWER_34_MAX, 
    HARMONIC_ACTIVE_POWER_34_MIN, HARMONIC_ACTIVE_POWER_34_AVG, HARMONIC_ACTIVE_POWER_34_95, 
    HARMONIC_ACTIVE_POWER_35_MAX, HARMONIC_ACTIVE_POWER_35_MIN, HARMONIC_ACTIVE_POWER_35_AVG, 
    HARMONIC_ACTIVE_POWER_35_95, HARMONIC_ACTIVE_POWER_36_MAX, HARMONIC_ACTIVE_POWER_36_MIN, 
    HARMONIC_ACTIVE_POWER_36_AVG, HARMONIC_ACTIVE_POWER_36_95, HARMONIC_ACTIVE_POWER_37_MAX, 
    HARMONIC_ACTIVE_POWER_37_MIN, HARMONIC_ACTIVE_POWER_37_AVG, HARMONIC_ACTIVE_POWER_37_95, 
    HARMONIC_ACTIVE_POWER_38_MAX, HARMONIC_ACTIVE_POWER_38_MIN, HARMONIC_ACTIVE_POWER_38_AVG, 
    HARMONIC_ACTIVE_POWER_38_95, HARMONIC_ACTIVE_POWER_39_MAX, HARMONIC_ACTIVE_POWER_39_MIN, 
    HARMONIC_ACTIVE_POWER_39_AVG, HARMONIC_ACTIVE_POWER_39_95, HARMONIC_ACTIVE_POWER_40_MAX, 
    HARMONIC_ACTIVE_POWER_40_MIN, HARMONIC_ACTIVE_POWER_40_AVG, HARMONIC_ACTIVE_POWER_40_95, 
    HARMONIC_ACTIVE_POWER_41_MAX, HARMONIC_ACTIVE_POWER_41_MIN, HARMONIC_ACTIVE_POWER_41_AVG, 
    HARMONIC_ACTIVE_POWER_41_95, HARMONIC_ACTIVE_POWER_42_MAX, HARMONIC_ACTIVE_POWER_42_MIN, 
    HARMONIC_ACTIVE_POWER_42_AVG, HARMONIC_ACTIVE_POWER_42_95, HARMONIC_ACTIVE_POWER_43_MAX, 
    HARMONIC_ACTIVE_POWER_43_MIN, HARMONIC_ACTIVE_POWER_43_AVG, HARMONIC_ACTIVE_POWER_43_95, 
    HARMONIC_ACTIVE_POWER_44_MAX, HARMONIC_ACTIVE_POWER_44_MIN, HARMONIC_ACTIVE_POWER_44_AVG, 
    HARMONIC_ACTIVE_POWER_44_95, HARMONIC_ACTIVE_POWER_45_MAX, HARMONIC_ACTIVE_POWER_45_MIN, 
    HARMONIC_ACTIVE_POWER_45_AVG, HARMONIC_ACTIVE_POWER_45_95, HARMONIC_ACTIVE_POWER_46_MAX, 
    HARMONIC_ACTIVE_POWER_46_MIN, HARMONIC_ACTIVE_POWER_46_AVG, HARMONIC_ACTIVE_POWER_46_95, 
    HARMONIC_ACTIVE_POWER_47_MAX, HARMONIC_ACTIVE_POWER_47_MIN, HARMONIC_ACTIVE_POWER_47_AVG, 
    HARMONIC_ACTIVE_POWER_47_95, HARMONIC_ACTIVE_POWER_48_MAX, HARMONIC_ACTIVE_POWER_48_MIN, 
    HARMONIC_ACTIVE_POWER_48_AVG, HARMONIC_ACTIVE_POWER_48_95, HARMONIC_ACTIVE_POWER_49_MAX, 
    HARMONIC_ACTIVE_POWER_49_MIN, HARMONIC_ACTIVE_POWER_49_AVG, HARMONIC_ACTIVE_POWER_49_95, 
    HARMONIC_ACTIVE_POWER_50_MAX, HARMONIC_ACTIVE_POWER_50_MIN, HARMONIC_ACTIVE_POWER_50_AVG, 
    HARMONIC_ACTIVE_POWER_50_95
  </sql>
</mapper>